Get Project Type List
GET /tm/api/v1/project-types
Operation id: getProjectTypes
Description
Retrieve list of project types.
Security
- ApiKeyAuth (apiKey)
- API key passed in the
apikeyrequest header.
- API key passed in the
Responses
200 — Success
Content type: application/json
400 — Error
Content type: application/json
Response models
200 — Success
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
status | string | No | |
message | string | No | |
data | array | No |
{
"type": "object",
"properties": {
"status": {
"type": "string",
"example": "SUCCESS"
},
"message": {
"type": "string",
"example": "Query Successful"
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"projectType": {
"type": "string",
"example": "ZX"
},
"description": {
"type": "string",
"example": "MESSAGING PROJECT"
}
}
}
}
}
}
400 — Error
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
status | string | No | |
error | array | No |
{
"type": "object",
"properties": {
"status": {
"type": "string",
"example": "ERROR"
},
"error": {
"type": "array",
"items": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
}
}
}
Example:
{
"status": "ERROR",
"error": [
{
"code": "1020",
"message": "Error while processing request"
}
]
}